Bug 1255054 - qdoc valgrind wrapper ending up in installed files
qdoc valgrind wrapper ending up in installed files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qt5-qtbase (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1256192
  Show dependency treegraph
 
Reported: 2015-08-19 09:59 EDT by Sandro Mani
Modified: 2015-08-24 11:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-24 11:03:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2015-08-19 09:59:48 EDT
Description of problem:
These lines in qt5-qtbase.spec

make html_docs || \
  mv bin/qdoc bin/qdoc.orig && install %{SOURCE2} bin/qdoc && \
  make html_docs && \
  mv bin/qdoc.orig bin/qdoc -f

fail to correctly restore qdoc with qdoc.orig if also the second make html_docs fails.

This is causing qt-creator to fail to build:
https://koji.fedoraproject.org/koji/getfile?taskID=10754160&name=build.log&offset=-4000

Version-Release number of selected component (if applicable):
qt5-qtbase-5.5.0-16.fc24.x86_64
Comment 1 Rex Dieter 2015-08-19 10:04:08 EDT
Interesting, I'd expect the build to fail of 'make html_docs' fails though
Comment 2 Rex Dieter 2015-08-19 10:06:48 EDT
%changelog
* Wed Aug 19 2015 Rex Dieter <rdieter@fedoraproject.org> 5.5.0-17
- unconditionally undo valgrind hack when done (#1255054)
Comment 3 Sandro Mani 2015-08-19 10:07:36 EDT
Thanks.
Comment 4 Sandro Mani 2015-08-20 18:01:43 EDT
The build failed, something like this should work though:

diff --git a/qt5-qtbase.spec b/qt5-qtbase.spec
index 8d8335e..bba391a 100644
--- a/qt5-qtbase.spec
+++ b/qt5-qtbase.spec
@@ -484,10 +484,10 @@ pushd src/xml; ../../bin/qmake; popd
 # see also https://bugreports.qt-project.org/browse/QTBUG-42071
 QT_HASH_SEED=0; export QT_HASH_SEED
 %if 0%{?valgrind}
-make html_docs || \
+make html_docs || (\
   mv bin/qdoc bin/qdoc.orig && install %{SOURCE2} bin/qdoc && \
-  make html_docs
-  mv bin/qdoc.orig bin/qdoc -f
+  make html_docs)
+  [ -e bin/qdoc.orig ] && mv -f bin/qdoc.orig bin/qdoc
 %else
 make html_docs
 %endif


http://koji.fedoraproject.org/koji/taskinfo?taskID=10769302
Comment 5 Sandro Mani 2015-08-24 11:03:05 EDT
Build succeeded, thanks.

Note You need to log in before you can comment on or make changes to this bug.